
From: Lennert Buytenhek <buytenh@marvell.com>
Subject: pciutils: enable build on ARM platforms

(This has been fixed differently in newer upstream pciutils versions.)

Signed-off-by: Lennert Buytenhek <buytenh@marvell.com>

Index: SPECS/pciutils.spec
===================================================================
--- SPECS.orig/pciutils.spec
+++ SPECS/pciutils.spec
@@ -1,6 +1,6 @@
 Name:		pciutils
 Version:	2.2.9
-Release: 	1%{?dist}
+Release: 	1%{?dist}.fa1
 Source:		ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/%{name}-%{version}.tar.gz
 Patch0:		pciutils-strip.patch
 Patch1: 	pciutils-2.2.4-buf.patch
@@ -9,6 +9,7 @@ Patch3: 	pciutils-havepread.patch
 Patch6: 	pciutils-2.2.1-idpath.patch
 Patch7:		pciutils-2.1.99-gcc4.patch
 Patch8: 	pciutils-2.2.9-multilib.patch
+Patch9:		pciutils-2.2.6-arm.patch
 License:	GPLv2+
 URL:		http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -42,6 +43,7 @@ devices connected to the PCI bus.
 %patch6 -p1 -b .idpath
 %patch7 -p1 -b .glibcmacros
 %patch8 -p1 -b .multilib
+%patch9 -p1 -b .arm
 sed -i -e 's/^SRC=.*/SRC="http:\/\/pciids.sourceforge.net\/pci.ids"/' update-pciids.sh
 
 %build
